import { c as create$3 } from './form.js';
import { o as otherPaymentDetailsValidation, w as whenServiceReceivedValidation, r as revenueValidation, p as paymentVolumeValidation } from './schema-validations.js';

const additionalQuestionsSchema = (allowOptionalFields) => {
    const schema = create$3({
        business_revenue: revenueValidation.required('Enter business revenue'),
        business_payment_volume: paymentVolumeValidation.required('Enter business payment volume'),
        business_average_transaction_amount: revenueValidation.required('Enter average transaction amount'),
        business_when_service_received: whenServiceReceivedValidation.required('Select when service is received'),
        business_other_payment_details: otherPaymentDetailsValidation.nullable(),
    });
    const easySchema = create$3({
        business_revenue: revenueValidation.nullable(),
        business_payment_volume: paymentVolumeValidation.nullable(),
        business_average_transaction_amount: revenueValidation.nullable(),
        business_when_service_received: whenServiceReceivedValidation.nullable(),
        business_other_payment_details: otherPaymentDetailsValidation.nullable(),
    });
    return allowOptionalFields ? easySchema : schema;
};

export { additionalQuestionsSchema as a };
